> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# List fabric templates



## OpenAPI

````yaml dropship_products.openapi get /v1/retailers/{retailer_id}/fabric/{fabric_id}/templates/
openapi: 3.0.0
info:
  title: Products API
  version: 1.0.0
  description: >
    Endpoints for retrieving product and variant information, permits, and
    fabric templates.
servers:
  - url: https://marketplace-api.fabric.inc
    description: Production server
security:
  - Bearer: []
tags:
  - name: Products
    description: Product and variant lookup
paths:
  /v1/retailers/{retailer_id}/fabric/{fabric_id}/templates/:
    get:
      tags:
        - Products
      summary: List fabric templates
      parameters:
        - name: retailer_id
          in: path
          required: true
          description: >-
            The unique retailer ID. In the Dropship UI this is called the
            **Merchant ID**. To find your Merchant ID, click your merchant name
            in the top nav.
          schema:
            type: integer
            example: 1001
        - name: fabric_id
          in: path
          description: >-
            This ID maps to your Platform Account ID. To find this ID login to
            Dropship and click **Merchant Settings** > **Integrations**. In the
            options field, select **configuration**. The **fabric Settings**
            page is displayed with your **Platform Account ID**.
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/fabricTemplate'
components:
  schemas:
    fabricTemplate:
      type: object
      properties:
        id:
          description: The unique identifier for the template.
          example: 16
          type: integer
          title: ID
          readOnly: true
        name:
          description: The name of the template.
          example: production template
          type: string
          title: Name
          maxLength: 64
        code:
          description: An alternative internal name for the template.
          example: production template
          type: string
          title: Code
          maxLength: 32
        description:
          type: string
          description: A description for the template.
          example: >-
            Template for product and variant attributes in fabric PIM for the
            connected account of production staff
          title: Description
          minLength: 1
          maxLength: 256
          nullable: true
        direction:
          type: string
          description: Indicates if the template is for imports or exports.
          example: export
          title: Direction
          enum:
            - import
            - export
          nullable: true
        data_type:
          type: string
          description: Describes what kind of data is contained within the template.
          example: products
          title: Data type
          enum:
            - products
            - inventory
          nullable: true
        template_mappings:
          type: string
          description: >-
            An array displaying all the template mappings for the specified
            template.
          example:
            - template list: response
          title: Template mappings
          readOnly: true
        created_at:
          type: string
          description: The time of creation in UTC format
          example: '2025-03-10T15:24:56Z'
          format: date-time
          title: Created at
          readOnly: true
      required:
        - name
        - code
        - description
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````